Page MenuHomeVyOS Platform

vyatta-wireless: Increase version number
Closed, WontfixPublic

Description

Version number seems to be increased manually in debian/vyatta-wireless/DEBIAN/control. Update: Where at?
Reflecting the changes done in T452 and T529, the version number needs to increase...

At this time, an old package named vyatta-wireless_0.3.41+vyos2+current1_all.deb dated to 2017-08-27 17:02 lives here: http://dev.packages.vyos.net/repositories/current/vyos/pool/main/v/vyatta-wireless/

Possibly related to: T549

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close

Event Timeline

alainlamar changed the task status from Open to In progress.Feb 18 2018, 10:32 AM
alainlamar triaged this task as Normal priority.
alainlamar created this task.
alainlamar created this object in space S1 VyOS Public.
alainlamar created this object with visibility "Maintainers (Project)".

I seem to be wrong with my initial statement where to set the version. The file debian/vyatta-wireless/DEBIAN/control is not even in version control and I can't seem to find a hint on where this version string 0.3.41+vyos2+current1 really comes from.

Seems I could need a primer here. Would you please advise?

Thank you!
Al

Hi,

the file used for the package "version" is the changelog file.

(12:26) cpo lnx01:~/vyos-build/packages/vyatta-wireless/debian [current] # head changelog
vyatta-wireless (0.3.41+vyos2+current1) unstable; urgency=medium

  [ Thomas Jepp ]
  * Fixed build dependencies.

  [ Kim Hagen ]

 -- Kim Hagen <kim.sidney@gmail.com>  Sun, 24 Jan 2016 15:38:34 -0500

To increase the package version please use the command dch -i in folder vyos-build/packages/vyatta-wireless.

To automatically supply your personal information like Name/EMail you can

export EMAIL="my.private@ddress.com"
export NAME="Christian Poessinger"
syncer changed the visibility from "Maintainers (Project)" to "Public (No Login Required)".

what is the state of this?
can i close it?

syncer edited projects, added Rejected; removed VyOS 1.3 Equuleus.

no update